=== debian/changelog ===
libfreefare (0.4.0-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:31 +0000

libfreefare (0.4.0-2) unstable; urgency=low

  *  Update debian/copyrtight.
     Fix license to LGPL3+.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 05 Mar 2014 08:48:08 +0900

libfreefare (0.4.0-1) unstable; urgency=low

  * Upload to Debian (Closes: #730243).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 25 Dec 2013 07:42:55 +0900

libfreefare (0.4.0-0) unstable; urgency=low

  * New upstream version

 -- Romuald Conty <romuald@libnfc.org>  Wed, 4 Dec 2013 10:42:42 +0100

libfreefare (0.3.4-0) unstable; urgency=low

  * New upstream version

 -- Romuald Conty <romuald@libnfc.org>  Thu, 1 Mar 2012 18:42:42 +0200

libfreefare (0.3.3-0) unstable; urgency=low

  * New upstream version

 -- Romuald Conty <romuald@libnfc.org>  Thu, 1 Mar 2012 16:42:42 +0200

libfreefare (0.3.1-0) unstable; urgency=low

  * Initial debian package release

 -- Romuald Conty <romuald@libnfc.org>  Wed, 18 May 2011 12:42:42 +0200
