=== debian/control ===
Source: libfreefare
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libnfc-dev (>= 1.7.0~rc7), pkg-config, libssl-dev
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/libfreefare/
Vcs-Git: git://anonscm.debian.org/collab-maint/libnfc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libfreefare.git;a=summary

Package: libfreefare0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: MIFARE card manipulations library
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations. 
 .
 This package contains the libfreefare library.

Package: libfreefare-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfreefare0 (= ${binary:Version}), libnfc-dev
Suggests: libfreefare-doc
Multi-Arch: same
Description: MIFARE card manipulations library (development files)
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations.
 .
 This package contains development files.

Package: libfreefare-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreefare0 (>= ${binary:Version})
Description: MIFARE card manipulations binaries
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations.
 .
 This package includes some binaries that are useful for development purposes.

Package: libfreefare-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for libfreefare
 The libfreefare project aims to provide a convenient API for MIFARE
 card manipulations.
 .
 This package contains document files.
